org.richfaces.renderkit.html

## Class TogglePanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.TogglePanelRenderer

- All Implemented Interfaces:
    org.richfaces.ui.common.meta.MetaComponentRenderer
  Direct Known Subclasses:
    AccordionRenderer, CollapsiblePanelRenderer, TabPanelRenderer

      public class TogglePanelRenderer
      extends DivPanelRenderer
      implements org.richfaces.ui.common.meta.MetaComponentRenderer

  Author:
    akolonitsky, Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `BEFORE_ITEM_CHANGE`
    `protected static String` | `ITEM_CHANGE`
    `static String` | `VALUE_POSTFIX`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TogglePanelRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addEventOption(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Map<String,Object> options, String eventName)`
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `static org.richfaces.renderkit.AjaxOptions` | `getAjaxOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent panel)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `protected org.richfaces.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext context, AbstractTogglePanel panel)`
    `protected void` | `partialEnd(javax.faces.context.FacesContext facesContext)`
    `protected void` | `partialStart(javax.faces.context.FacesContext facesContext, String id)`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_POSTFIX

          public static final String VALUE_POSTFIX

      See Also:
        Constant Field Values

    - #### ITEM_CHANGE

          protected static final String ITEM_CHANGE

      See Also:
        Constant Field Values

    - #### BEFORE_ITEM_CHANGE

          protected static final String BEFORE_ITEM_CHANGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TogglePanelRenderer

          public TogglePanelRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.RendererBase`

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext context,
                            AbstractTogglePanel panel)

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeBegin` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `DivPanelRenderer`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Overrides:
        `doEncodeEnd` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getScriptObject

          protected org.richfaces.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                          javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `DivPanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `DivPanelRenderer`

    - #### addEventOption

          public static void addEventOption(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component,
                            Map<String,Object> options,
                            String eventName)

    - #### getAjaxOptions

          public static org.richfaces.renderkit.AjaxOptions getAjaxOptions(javax.faces.context.FacesContext context,
                                                           javax.faces.component.UIComponent panel)

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.RendererBase`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`
      Throws:
        `IOException`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`

    - #### partialStart

          protected void partialStart(javax.faces.context.FacesContext facesContext,
                          String id)
                               throws IOException

      Throws:
        `IOException`

    - #### partialEnd

          protected void partialEnd(javax.faces.context.FacesContext facesContext)
                             throws IOException

      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All rights reserved.